# Method: organizations.locations.frameworks.get

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworks/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworks/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworks/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworks/get#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworks/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworks/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworks/get#body.aspect_1)

Gets details about a framework. This method retrieves the latest major version of the framework.

To retrieve a specific major version, include `majorRevisionId` in the request.

### HTTP request

`GET https://cloudsecuritycompliance.googleapis.com/v1/{name=organizations/*/locations/*/frameworks/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the framework to retrieve, in one of the following formats: `organizations/{organization}/locations/{location}/frameworks/{framework}` or `projects/{project}/locations/{location}/frameworks/{framework}`. The only supported location is `global`. |

### Query parameters

| Parameters ||
|---|---|
| `majorRevisionId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The framework major version to retrieve. If not specified, the most recently updated `revision_id` is retrieved. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/cloudsecuritycompliance/rest/v1/organizations.locations.frameworks#Framework`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `cloudsecuritycompliance.frameworks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).